# Spec Pizza & Chili Index
An adapter for the Pizza & Chili index API.

Extends | Index
All Extended | Index
Defined in | <seqan/index.h>
Signature | `template <typename TText, typename TSpec> class Index<TText, PizzaChili<TSpec> >;`

## Template Parameters

`TSpec` | Tag specifying the Pizza & Chili index library to use. Types: PizzaChiliIndexTags
`TText` | The text type. Types: String

## Member Function Overview

- `Index::Index();, Index::Index(index);, Index::Index(text);`
  Constructor

## Interface Function Overview

### Interface Functions Inherited From Index

- `clear`
- `countSequences`
- `getFibre`
- `indexCreate`
- `indexRawText`
- `indexRequire`
- `indexSupplied`
- `indexText`
- `length`
- `open`
- `rawtextAt`
- `save`

## Interface Metafunction Overview

### Interface Metafunctions Inherited From Index

- `DefaultIndexCreator`
- `DefaultIndexSpec`
- `DefaultIndexStringSpec`
- `GetVSTreeIteratorTraits`
- `Size`

## Detailed Description

Deprecated.

Module is outdated and is not maintained anymore. Will presumably be removed in the next major release.

## See Also

- IndexFindAlgorithm
- PizzaChiliIndexFibres
- PizzaChiliIndexTags
- PizzaChiliString

## Member Functions Detail

### `Index::Index(); Index::Index(index); Index::Index(text);`

Constructor

#### Parameters

`index` | Other Index object to copy from.
`text` | The text to be indexed.

#### Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @class PizzaChiliIndex Pizza & Chili Index
     *
     * @extends Index
     *
     * @headerfile <seqan/index.h>
     *
     * @brief An adapter for the Pizza &amp; Chili index API.
     *
     * @deprecated Module is outdated and is not maintained anymore. Will presumably
     *             be removed in the next major release.
     *
     * @signature template <typename TText, typename TSpec> class Index<TText,
     *            PizzaChili<TSpec> >;
     *
     * @tparam TSpec Tag specifying the Pizza &amp; Chili index library to use.
     *               Types: @link PizzaChiliIndexTags @endlink
     * @tparam TText The text type. Types: @link String @endlink
     *
     * @see PizzaChiliString
     * @see PizzaChiliIndexFibres
     * @see IndexFindAlgorithm
     * @see PizzaChiliIndexTags
     *
     * @fn PizzaChiliIndex::Index
     *
     * @brief Constructor
     *
     * @signature Index::Index();
     * @signature Index::Index(index);
     * @signature Index::Index(text);
     *
     * @param[in] index Other Index object to copy from.
     * @param[in] text The text to be indexed.
     */